%define pkgname pascalscript
%define gitrev  52291ffbfc14f3cf1a445f3e88c6902e13fbdf78
%define gitdate 20120815

%define version git_%{gitdate}
%define release 1%{?dist}
%define distpath lazarus/components/

Summary: PascalScript
Name: %{pkgname}
Version: %{version}
Release: %{release}
License: BSD-like
Group: Development/Languages
BuildRoot: %{_tmppath}/%{pkgname}-buildroot
BuildRequires: lazarus
BuildRequires: git
Requires: lazarus
# Patches from http://www.lazarus.freepascal.org/index.php?topic=17978.0
Patch0: %{pkgname}-x64.inc.patch
Patch1: %{pkgname}-uPSRuntime.pas.patch

%description
Author: Carlo Kok, RemObjects Software

Pascal Script is a free scripting engine that allows you to use most of the 
Object Pascal language within your Delphi or Free Pascal projects at runtime. 
Written completely in Delphi, it is composed of a set of units that can be 
compiled into your executable, eliminating the need to distribute any external 
files. Pascal Script started out as a need for a good working script, when 
there were none available at the time.

%build
rm -rf %{pkgname} %{buildroot}
git clone git://github.com/remobjects/pascalscript.git %{pkgname}
cd %{pkgname}; git checkout %{gitrev}
# Remove git internals, non-relevant files
rm -rf .git
rm patch.exe

# Apply Patches
patch -p1 Source/x64.inc %{PATCH0}
patch -p1 Source/uPSRuntime.pas %{PATCH1}

# Compile Pascal Script
cd Source
lazbuild pascalscript.lpk

%install
mkdir -p %{buildroot}%{_libdir}/%{distpath}
cp -av %{pkgname} %{buildroot}%{_libdir}/%{distpath}
# Don't keep duplicate files
rm %{buildroot}%{_libdir}/%{distpath}/%{pkgname}/Source/*.txt
rm -rf %{buildroot}%{_libdir}/%{distpath}/%{pkgname}/Articles

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc %{pkgname}/Source/*.txt %{pkgname}/Articles
%{_libdir}/%{distpath}/%{pkgname}

%changelog
* Wed Sep 19 2012 TC Wan <tcwan@cs.usm.my>
- Initial SPEC file for F17
